package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import io.swagger.annotations.ApiModelProperty;

public class CourseTimeDto {


    @ApiModelProperty(value = "课程类型", required = true)
    private CourseSchedule.CourseScheduleType courseType;

    @ApiModelProperty(value = "排课星期几")
    private Integer dayOfWeek;

    @ApiModelProperty(value = "上课开始时间")
    private String startClassTime;

    @ApiModelProperty(value = "上课结束时间")
    private String endClassTime;

    public CourseSchedule.CourseScheduleType getCourseType() {
        return courseType;
    }

    public void setCourseType(CourseSchedule.CourseScheduleType courseType) {
        this.courseType = courseType;
    }

    public Integer getDayOfWeek() {
        return dayOfWeek;
    }

    public void setDayOfWeek(Integer dayOfWeek) {
        this.dayOfWeek = dayOfWeek;
    }

    public String getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(String startClassTime) {
        this.startClassTime = startClassTime;
    }

    public String getEndClassTime() {
        return endClassTime;
    }

    public void setEndClassTime(String endClassTime) {
        this.endClassTime = endClassTime;
    }
}
